<template>
  <router-link class="card-item" :to="'/'+card.slug">
      <div class="card-image" :style="{ backgroundImage: 'url(' + image + ')'}"></div>
      <div class="card-content">
        <div class="stats">
          <span class="time">{{ toTime }}</span>
          <span class="num">{{ card.stat.count_view }}</span> görüntülenme • <span class="num">{{ card.stat.count_comment }}</span> yorum
        </div>
        <h2 class="h3-class">{{ card.o }} - {{ card.title }}</h2>
      </div>
  </router-link>
</template>
<script>
  
  const timeFormat = { hour12: false, hour: '2-digit', minute: '2-digit' }

  export default {
    props: [
      'card'
    ],
    computed: {
      image () {
        return this.card.image_url // image_url2x TODO write a condition for responsive systems
      },
      toTime () {
        return new Date(this.card.date).toLocaleTimeString('tr-TR', timeFormat)
      }
    }
  }
</script>
